cl-update error

Added by x y 11 days ago

hi

from yesterday i am getting next error when i am trying to run cl-update script

Repositories synchronization
 * Checking Distros updates ...                                                                                                                                                                               [ ok ]
 * Checking Calculate updates ...                                                                                                                                                                             [ ok ]
 * Syncing the Calculate repository ...                                                                                                                                                                       [ ok ]
 * Checking Gentoo updates ...                                                                                                                                                                                [ ok ]
 * Syncing the Fkmclane repository ...                                                                                                                                                                        [ ok ]
 * Syncing the Gentoo-zh repository ...                                                                                                                                                                       [ ok ]
 * Syncing the Jorgicio repository ...                                                                                                                                                                        [ ok ]
 * Syncing the Mistafunk repository ...                                                                                                                                                                       [ ok ]
 * Updating the Distros repository cache ...                                                                                                                                                                  [ ok ]
 * Updating the Calculate repository cache ...                                                                                                                                                                [ ok ]
 * Updating the Fkmclane repository cache ...                                                                                                                                                                 [ ok ]
 * Updating the Gentoo-zh repository cache ...                                                                                                                                                                [ ok ]
 * Updating the Jorgicio repository cache ...                                                                                                                                                                 [ ok ]
 * Updating the Mistafunk repository cache ...                                                                                                                                                                [ ok ]
 * Updating the eix cache for Mistafunk, Jorgicio, Gentoo-zh, Fkmclane, Distros, Calculate, Gentoo ...                                                                                                        [ ok ]
 * Updating the cache of configurable packages ...                                                                                                                                                            [ ok ]
 * Removing obsolete distfiles and binary packages ...                                                                                                                                                        [ ok ]
 * Update packages index ...                                                                                                                                                                                  [ ok ]
 * Synchronization finished
System configuration
 * Fixing the settings ...
 * Updating configuration files ...                                                                                                                                                                           [ ok ]
 * Update server http://miroir.linuxtricks.fr/calculate
Updating packages
 * Calculating dependencies ...
 * ValueError:I/O operation on closed file(pexpect.__init__:493)
 * Update failed

how to fix this?

thanks


Replies (5)

RE: cl-update error - Added by Mikhail Hiretsky 10 days ago

What version of dev-python/pexpect?

RE: cl-update error - Added by Mikhail Hiretsky 10 days ago

Pexect will be fixed by next update.

RE: cl-update error - Added by x y 10 days ago

ok. thanks

RE: cl-update error - Added by x y 5 days ago

me again :) that error vanished but now i am getting this one:

Repositories synchronization
 * Checking Distros updates ...                                                                                                                                                                               [ ok ]
 * Checking Calculate updates ...                                                                                                                                                                             [ ok ]
 * Checking Gentoo updates ...                                                                                                                                                                                [ ok ]
 * Syncing the Fkmclane repository ...
 * error: Your local changes to the following files would be overwritten by merge:
 *  
 *  Errors:
 *  ------
 *  Failed to sync overlay "fkmclane".
 *  Error was: Syncing overlay "fkmclane" returned status 1!
 *  db.sync()
 *  
 *  CLI: Errors occurred processing action sync
 *  
 *  Errors:
 *  ------
 *  Failed to sync overlay "fkmclane".
 *  Error was: Syncing overlay "fkmclane" returned status 1!
 *  db.sync()
 *  
 * Failed to update the fkmclane repository
 * Update failed
 * /usr/sbin/cl-core --method update --sync-only --skip-eix-update failed

when i disable fkmclane overlay everything is ok but i need this repo because of unity-editor (no other overlay have unity-editor :( )

RE: cl-update error - Added by x y 1 day ago

any1?

(1-5/5)

Thank you!